::-webkit-scrollbar
{
  width: 4px;  /* for vertical scrollbars */
  height: 4px; /* for horizontal scrollbars */
}

::-webkit-scrollbar-track
{
  background: rgba(0, 0, 0, 0.1);
}

::-webkit-scrollbar-thumb
{
  background: rgba(0, 0, 0, 0.3);
}

@font-face {
  font-family: 'Raleway';
  font-style: normal;
  font-weight: 400;
  src: local('Raleway'), local('Raleway-Regular'), url('fonts/raleway.woff2') format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2212, U+2215;
}

* {
  margin: 0;
  padding: 0;
}

html, body {
  width: 100%;
  height: 100%;
  overflow: hidden;
}

body {
  color: #eee;
  font-family: 'Raleway', sans-serif;
  background-color: #fff;
  font-size: 15px;
}

h2 {
  color: #95f446;
}

h4 {
  margin-top: 5px;
  color: #f44646;
}

h5 {
  margin: 5px 0 5px 0;
}

.half-line {
  margin: auto;
  margin-top: 15px;
  border-bottom: 1px solid #424242;
  width: 90%;
}

#user-count-text {
  margin-top: 5px;
}

.user-count {
  font-size: 17px;
  position: relative;
  top: 3px;
  padding-right: 2px;
}

#left-panel {
  z-index: 20;
  display: inline-block;
  float: left;
  overflow-y: auto;
  width: 300px;
  height: 100%;
  background-color: #303030;
  text-align: center;
  box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
}

.file-list-lock-text {
  margin-top: 95px;
  font-size: 14px;
}

#file-list-lock {
  display: none;
  font-size: 12px;
  background-color: #888;
  color: #fff;
  width: 235px;
  height: 220px;
  overflow-y: auto;
  overflow-x: hidden;
  margin: 10px auto 0 auto;
  border-radius: 3px;
}

#file-list {
  font-size: 12px;
  border-radius: 20px;
  background-color: #424242;
  width: 235px;
  height: 220px;
  overflow-y: auto;
  overflow-x: hidden;
  margin: 10px auto 0 auto;
  box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
}

#file-list > li {
  cursor: pointer;
  text-align: left;
  padding-top: 5px;
  padding-left: 10px; 
}

#file-list > li > span {
  display: inline-block;
  width: 180px;
  overflow: hidden;
  text-overflow: ellipsis;
}

.cross {
  color: #888;
  float: right;
  margin-right: 10px;
  cursor: pointer;
}

.cross:hover {
  color: #f00;
  font-weight: bold;
}

.selected {
  background-color: #212121;
}

.upload-btn {
  font-family: 'Raleway', sans-serif;
  font-size: 15px;
  padding: 8px;
  border-radius: 4px;
  margin-top: 10px;
  cursor: pointer;
  background-color: #fff;
  border: 1px solid #aaa;
  border-bottom-width: 2px;
  border-right-width: 2px; 
}

.upload-btn:hover {
  background-color: #dedede;
}

.upload-btn:focus {
  outline: none;
}

#config-list {
  padding: 10px;
  font-size: 15px;
  margin: auto;
  text-align: left;
  width: 80%;
}

#method-list {
  padding: 10px;
  font-size: 15px;
  margin: auto;
  text-align: left;
  width: 80%;
}

.upload-own {
  margin-top: 20px;
  text-align: center;
}

#config-input {
  width: 0.1px;
  height: 0.1px;
  opacity: 0;
  overflow: hidden;
  position: absolute;
  z-index: -1;
}

#config-input + label {
  font-size: 13px;
  font-weight: bold;
  border-radius: 15px;
  padding: 8px;
  margin-top: 10px;
  cursor: pointer;
  background-color: #424242;
  box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
}

#config-input + label:hover {
  color: #95f446;
}

.start-btn {
  border-radius: 15px;
  font-family: 'Raleway', sans-serif;
  font-size: 13px;
  width: 100px;
  padding: 10px;
  font-weight: bold;
  border: none;
  color: #eee;
  cursor: pointer;
  background-color: #424242;
  margin-top: 15px;
  margin-bottom: 10px;
  box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
}

.start-btn:hover {
  color: #95f446;
}

.start-btn:focus {
  outline: none;
}

.disabled {
  color: #888 !important;
  cursor: default !important;
}

.disabled:hover {
  color: #888 !important;
  cursor: default !important;
}

#config-success {
  display: none;
}

.success {
  position: absolute;
  color: #95f446;
  font-size: 20px;
  padding-left: 5px;
}

#archive-input {
  width: 0.1px;
  height: 0.1px;
  opacity: 0;
  overflow: hidden;
  position: absolute;
  z-index: -1;
}

#archive-input + label {
  font-size: 13px;
  padding: 8px;
  border-radius: 15px;
  margin-top: 20px;
  cursor: pointer;
  background-color: #424242;
  font-weight: bold;
  border: 0px;
  box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
}

#archive-input + label:hover {
  color: #95f446;
}

#time-range {
  display: none;
}

.time-input {
  border: 1px solid #aaa;
  border-radius: 2px;
  padding: 4px 5px;
  width: 105px;
}

.time-input:focus {
  outline-color: #619630;
}

.time-input-label {
  margin-top: 10px;
  text-align: left;
  display: inline-block;
  width: 50px;
}

.time-cross {
  position: absolute;
  margin-left: 10px;
  margin-top: 10px;
  color: #888;
  cursor: pointer;
}

.time-cross:hover {
  color: #f00;
  font-weight: bold;
}

.file-cross {
  position: absolute;
  margin-left: 5px;
  color: #eee;
  cursor: pointer;
}

.file-cross:hover {
  color: #f00;
  font-weight: bold;
}

.help {
  color: #aaa;
  position: relative;
  left: 133px;
  top: 5px;
}

.help:hover {
  color: #fff;
}

.help-window {
  margin-top: 5px;
  display: none;
  color: #eee;
  text-align: left;
  padding: 10px;
  position: absolute;
  left: 310px;
  top: 5px;
  background-color: #303030;
  box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
}

#no-archive {
  display: none;
  color: #ad2e2e;
}

#modal-background {
  display: none;
  z-index: 100;
  width: 100%;
  height: 100%;
  opacity: 0.3;
  background-color: #000;
  position: fixed;
  top: 0;
  left: 0;
}

#modal-window {
  padding: 20px;
  text-align: center;
  display: none;
  z-index: 101;
  width: 600px;
  height: 220px;
  background-color: #303030;
  position: fixed;
  top: 50%;
  left: 50%;
  margin-left: -300px;
  margin-top: -180px;
  box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
}

#modal-error-window {
  padding: 20px;
  text-align: center;
  display: none;
  z-index: 101;
  width: 600px;
  height: 230px;
  background-color: #303030;
  position: fixed;
  top: 50%;
  left: 50%;
  margin-left: -300px;
  margin-top: -180px;
  box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
}

#modal-error-info {
  text-align: left;
  width: 90%;
  margin: 20px auto 10px auto;
}

#modal-error-text {
  margin: auto;
  width: 90%;
  height: 130px;
  overflow-y: scroll;
  background-color: #444;
  text-align: left;
  padding: 10px;
}

.modal-headline {
  color: #95f446;
  font-size: 20px;
  font-weight: bold;
}

#modal-operation {
  margin: 20px 0;
}

.modal-progress {
  text-align: left;
  margin: 10px 0;
}

#tabs {
  z-index: 20;
  position: absolute;
  bottom: -5px;
  left: 310px;
}

#tabs > li {
  list-style-type: none;
  display: inline-block;
  margin-right: 5px;

  font-size: 12px;
  background-color: #606060;
  padding: 4px 4px 4px 4px;
  border-top-right-radius: 4px;
  border-top-left-radius: 4px;
  border: none;
  box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
  cursor: pointer;

  width: 150px;
}

#tabs > li > span {
  display: inline-block;
  white-space: nowrap;
  overflow: hidden;
  width: 130px;
  text-overflow: ellipsis;
}

#tabs > li:hover {
  background-color: #303030;
}

.active {
  background-color: #303030 !important;
}

#right-panel {
  height: 100%;
  display: inline-block;
}

image {
  mix-blend-mode: multiply;
}

.legend {
  position: absolute;
  right: 0px;
  top: 10px;

  text-align: center;

  background-color: #303030;
  box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
  padding: 10px;
}

.legend > thead > tr > th {
  padding: 0 10px;
}

.play {
  color: #888;
  position: absolute;
  right: 30px;
  top: 0;
  margin-top: 10px;
  margin-right: 10px;
  font-size: 25px;
  cursor: pointer;
}

.play:hover {
  color: #fff;
}

#error-close {
  color: #888;
  position: absolute;
  right: 0;
  top: 0;
  margin-top: 10px;
  margin-right: 10px;
  font-size: 25px;
  cursor: pointer;
}

#error-close:hover {
  color: #000;
}

.settings {
  color: #888;
  position: absolute;
  right: 60px;
  top: 0;
  margin-top: 10px;
  margin-right: 10px;
  font-size: 25px;
  cursor: pointer;
}

.settings:hover {
  color: #fff;
}

.skip {
  color: #888;
  position: absolute;
  right: 0px;
  top: 0;
  margin-top: 10px;
  margin-right: 10px;
  font-size: 25px;
  cursor: pointer;
}

.skip:hover {
  color: #fff;
}

#sensmap-link {
  display: none;
}

#manager-link {
  display: none;
}

#skip-button {
  display: none;
}

.minimize {
  color: #888;
  position: absolute;
  right: 280px;
  top: 0;
  margin-top: 10px;
  margin-right: 10px;
  padding: 5px;
  font-size: 12px;
  cursor: pointer;
  background-color: #303030;
  box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
}

.minimize:hover {
  color: #fff;
}

.minimize:after {
  background: #303030;
  display: block;
  content: ".";
  font-size: 0;
  width: 4px;
  height: 34px;
  position: absolute;
  right: -4px;
  top: 0;
}

#slider-container {
    width: 90%; /* Width of the outside container */
    margin: auto;
    margin-top: 15px;
}

.ui-slider .ui-slider-handle {
  width: 10px;
  height: 10px;
  top: -2px !important;
  margin-left: -5px !important;
  cursor: pointer;
  border: none !important;
  border-radius: 0px !important;
  background-color: #95f446 !important;
}

.ui-slider .ui-slider-handle:focus {
  outline: none !important;
}

.ui-slider {
  height: 5px !important;
  border-radius: 0px !important;
  border: none !important;
  background-color: #606060 !important;
}

.ui-slider-range {
  background-color: #7ece3b !important;
}